#include <iostream>

using namespace std;

int main(void)
{
    ios::sync_with_stdio(false);
    cin.tie(0);
    cout.tie(0);
    long long int v, s = 0;
    cin >> v;

    for( long long int i = 1000000000000000000; i >= 1; i/=10 )
    {
        s += v / ( 5 * i );
        v %= 5*i;
        s += v / ( 2 * i );
        v %= 2*i;
        s += v / ( 1 * i );
        v %= 1*i;
    }

    cout << s << endl;

    return 0;
}